/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible country function
*
****************************************************************************/

#include <stdlib.h>
#include <dos.h>
#include <errno.h>

#ifndef COUNTRY
struct COUNTRY {
    int  co_date;        /* date format */
    char co_curr[5];     /* currency symbol */
    char co_thsep[2];    /* thousands separator */
    char co_desep[2];    /* decimal separator */
    char co_dtsep[2];    /* date separator */
    char co_tmsep[2];    /* time separator */
    char co_currstyle;   /* currency style */
    char co_digits;      /* significant digits in currency */
    char co_time;        /* time format */
    long co_case;        /* case map */
    char co_dasep[2];    /* data separator */
    char co_fill[10];    /* filler */
};
#endif

_WCRTLINK struct COUNTRY *country( int xcode, struct COUNTRY *cp )
{
    union  REGS  r;
    struct SREGS s;

    r.h.ah = 0x38;
    s.ds = FP_SEG( cp );
    r.w.dx = FP_OFF( cp );
    if( xcode < 255 ) r.h.al = xcode;
    else {
        r.h.al = 255;
        r.x.bx = xcode;
    }

    intdosx( &r, &r, &s );
    return( ( r.x.cflag ) ? NULL : cp );
}

