/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible dostounix function
*
****************************************************************************/

#include <time.h>

#ifndef COUNTRY
struct time {
    unsigned char  ti_min;   /* minutes */
    unsigned char  ti_hour;  /* hours */
    unsigned char  ti_hund;  /* hundredths of seconds */
    unsigned char  ti_sec;   /* seconds */
};

struct date {
    int  da_year;    /* current year */
    char da_day;     /* day of the month */
    char da_mon;     /* month (1 = Jan) */
};
#endif

_WCRTLINK time_t dostounix( struct date *date, struct time *time )
{
    struct tm unixtime;

    unixtime.tm_sec = time->ti_sec;
    unixtime.tm_min = time->ti_min;
    unixtime.tm_hour = time->ti_hour;
    unixtime.tm_mday = date->da_day;
    unixtime.tm_mon = date->da_mon - 1;
    unixtime.tm_year = date->da_year - 1900;
    unixtime.tm_isdst = 0;

    return( mktime( &unixtime ) );
}

