/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible getfat[d] functions
*
****************************************************************************/

#include <dos.h>

#ifndef COUNTRY
struct fatinfo {
    char  fi_sclus;  /* sectors per cluster */
    char  fi_fatid;  /* the FAT id byte */
    int   fi_nclus;  /* number of clusters */
    int   fi_bysec;  /* bytes per sector */
};
#endif

_WCRTLINK void getfat( unsigned char drive, struct fatinfo *dtable )
{
    union  REGS  r;
    struct SREGS s;

    r.h.ah = 0x1C;
    r.h.dl = drive;

    intdosx( &r, &r, &s );

    dtable->fi_sclus = r.h.al;
    dtable->fi_fatid = ( char )MK_FP( s.ds, r.w.bx );
    dtable->fi_nclus = r.w.dx;
    dtable->fi_bysec = r.w.cx;
}

_WCRTLINK void getfatd( struct fatinfo *dtable )
{
    union  REGS  r;
    struct SREGS s;

    r.h.ah = 0x1B;

    intdosx( &r, &r, &s );

    dtable->fi_sclus = r.h.al;
    dtable->fi_fatid = ( char )MK_FP( s.ds, r.w.bx );
    dtable->fi_nclus = r.w.dx;
    dtable->fi_bysec = r.w.cx;
}

