/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible parsfnm function
*
****************************************************************************/

#include <stdlib.h>
#include <dos.h>

#ifndef COUNTRY
struct fcb
{
    char  fcb_drive;   /* 0 = default, 1 = A, 2 = B */
    char  fcb_name[8]; /* File name */
    char  fcb_ext[3];  /* File extension */
    short fcb_curblk;  /* Current block number */
    short fcb_recsize; /* Logical record size in bytes */
    long  fcb_filsize; /* File size in bytes */
    short fcb_date;    /* Date file was last written */
    char  fcb_resv[10];/* Reserved for DOS */
    char  fcb_currec;  /* Current record in block */
    long  fcb_random;  /* Random record number */
};
#endif

_WCRTLINK char *parsfnm( const char *cmdline, struct fcb *fcb, int opt )
{
    union  REGS  r;
    struct SREGS s;
    
    r.h.ah = 0x29;
    r.h.al = opt;
    s.ds = FP_SEG( cmdline );
    r.x.si = FP_OFF( cmdline );
    s.es = FP_SEG( fcb );
    r.x.di = FP_SEG( fcb );
    
    intdosx( &r, &r, &s );
    
    return( ( r.h.al & 0xFF ) ? NULL : ( char * )MK_FP( s.ds, r.x.si ) );
}

