/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible get/settime functions
*
****************************************************************************/

#include <dos.h>

#ifndef COUNTRY
struct time {
    unsigned char  ti_min;   /* minutes */
    unsigned char  ti_hour;  /* hours */
    unsigned char  ti_hund;  /* hundredths of seconds */
    unsigned char  ti_sec;   /* seconds */
};
#endif

_WCRTLINK void gettime( struct time *timep )
{
    struct dostime_t time;
    
    _dos_gettime( &time );
    timep->ti_min = time.minute;
    timep->ti_hour = time.hour;
    timep->ti_hund = time.hsecond;
    timep->ti_sec = time.second;
}

_WCRTLINK void settime( struct time *timep )
{
    struct dostime_t time;

    time.minute = timep->ti_min;
    time.hour = timep->ti_hour;
    time.hsecond = timep->ti_hund;
    time.second = timep->ti_sec;
    _dos_settime( &time );
}

